<back to all web services

GetItemsTargetLanguagesStatuses

The following routes are available for this service:
POST/RestApi/translations/getTargetLanguagesStatuses

export class GetItemsTargetLanguagesStatuses
{
    public Ids: string[];
    public ContentType: string;
    public SourceLanguage: string;
    public Skip: number;
    public Take: number;

    public constructor(init?: Partial<GetItemsTargetLanguagesStatuses>) { (Object as any).assign(this, init); }
}

export class ItemsTargetLanguageStatusProxy
{
    public Code: string;
    public Name: string;
    public SomeItemsHaveIncompatiblePendingTranslations: boolean;
    public AllItemsHaveIncompatiblePendingTranslations: boolean;

    public constructor(init?: Partial<ItemsTargetLanguageStatusProxy>) { (Object as any).assign(this, init); }
}

// @DataContract
export class CollectionContext<T>
{
    // @DataMember
    public TotalCount: number;

    // @DataMember
    public IsGeneric: boolean;

    // @DataMember
    public Context: { [index:string]: string; };

    // @DataMember
    public Items: ItemsTargetLanguageStatusProxy[];

    public constructor(init?: Partial<CollectionContext<T>>) { (Object as any).assign(this, init); }
}

TypeScript GetItemsTargetLanguagesStatuses DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/getTargetLanguagesStatuses HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"SourceLanguage":"String","Skip":0,"Take":0}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"TotalCount":0,"IsGeneric":false,"Items":[]}